Subject: bug#9074: 24.0.50; problems trying to mail bug report, again

From: "Drew Adams" <[email-masked]>
Date: Tue, 2 Aug 2011 14:07:11 -0700

> > 5. "Sending failed; no recipients"
> >
> > That, is spite of the fact that the To: field has 
> > [email-masked].  What happened?  What do you do now?
> > No pop up of email client, nada.
> 
> That sounds like a bug.  What's your `sendmail-query-once-function'
> after saying "n"?

I just now repeated the recipe.  You can do the same, BTW.

 sendmail-query-once-function is a variable defined in `sendmail.el'.
 Its value is mailclient-send-it

> > Configure outgoing SMTP in Emacs? (y or n)  y
> > Setting `sendmail-query-once-function' temporarily since 
> > "emacs -q" would overwrite customizations
> > smtpmail-send-it: Sending failed; no recipients
> 
> Here is says that you typed "y", not "n" as you said earlier.

I thought I typed `n'.  Perhaps there is a different bug if you type `y'?

Anyway, I just did it again, from emacs -Q.  This time I saw again the "Args out
of range: 105527, 105528" error.  Here is the tail of *Messages*:

report-emacs-bug-hook: Please edit the From address and try again
Sending...
Sending via mail...
Configure outgoing SMTP in Emacs? (y or n)  n
Setting `sendmail-query-once-function' temporarily since "emacs -q" would
overwrite customizations
apply: Args out of range: 105527, 105528

3419 is `point-max' in buffer `*unsent mail to...', BTW.  The original buffer,
from which I invoked `report-emacs-bug', has length 105526.

Also, BTW, this is the message ID:

 Message-ID:
<[email-masked]>

Who knows what kryr553sfkv.fsf is.  MYMACHINE is my machine name.  Are users
required to set the mail-host-address also now?  How many hoops will you force
users to jump through, just to support your new "feature"?

----

But let me try once more, this time with debug-on-error = t. This is the
backtrace when I hit `n' to the SMTP config question:

Debugger entered--Lisp error: (args-out-of-range 105527 105528)
#[binary gibberish...
apply(#[(beg end delete) binary gibberish...
#[binary gibberish...
  filter-buffer-substring(105528 105527)
  copy-region-as-kill(105528 105527)
  kill-ring-save(105528 105527)
  clipboard-kill-ring-save(105528 105527)
  mailclient-send-it()
  sendmail-query-once()
  message-send-mail(nil)
  message-send-via-mail(nil)
  message-send(nil)
  message-send-and-exit(nil)
  call-interactively(message-send-and-exit nil nil)